import React from 'react';
import { UseThemeProps } from '../hooks/use-theme';
declare type Config = {
    type?: UseThemeProps['type'];
    mode?: UseThemeProps['mode'];
    handleChangeType?: (type: UseThemeProps['type']) => void;
    handleChangeMode?: (mode?: UseThemeProps['mode']) => void;
};
declare type WeatherProps = {
    children?: React.ReactNode;
    defaultType?: UseThemeProps['type'];
    defaultMode?: UseThemeProps['mode'];
    type?: UseThemeProps['type'];
    mode?: UseThemeProps['mode'];
    extra?: React.ReactNode;
};
export declare const WeatherProvider: ({ defaultMode, defaultType, ...props }: WeatherProps) => JSX.Element;
export declare const useWeather: () => Config;
export declare const WeatherConsumer: React.Consumer<Config>;
export {};
