import { Orientation } from '../interface';
import { Vector3 } from 'three';
export declare const PLACEMENT_TO_DIR: {
    [key in Orientation]: 1 | -1;
};
export declare const PLACEMENTS: Orientation[];
declare const _default: {
    fromAxis: (placement: Orientation) => Vector3;
    fromPlacement: (placement: Orientation) => Vector3;
    random: () => Vector3;
};
export default _default;
