"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _fiber = require("@react-three/fiber");

var _three = require("@react-spring/three");

var _three2 = require("three.meshline");

var _useMeteors2 = require("./use-meteors");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

(0, _fiber.extend)({
  MeshLine: _three2.MeshLine,
  MeshLineMaterial: _three2.MeshLineMaterial
});

var Meteor = function Meteor(_ref) {
  var value = _ref.value,
      style = _ref.style;
  var meteor = (0, _react.useRef)();
  var mat = (0, _react.useRef)();
  (0, _useMeteors2.useMeteor)(meteor, mat, {
    value: value
  });
  return /*#__PURE__*/_react.default.createElement(_three.a.mesh, {
    ref: meteor,
    "material-opacity": style === null || style === void 0 ? void 0 : style.opacity.to(function (x) {
      return x * 0.75;
    })
  }, /*#__PURE__*/_react.default.createElement("meshLine", {
    attach: "geometry",
    vertices: value.vertices
  }), /*#__PURE__*/_react.default.createElement("meshLineMaterial", {
    attach: "material",
    ref: mat,
    transparent: true,
    depthTest: false,
    sizeAttenuation: true,
    lineWidth: 0.02,
    dashArray: 0.5,
    dashRatio: 0.7,
    color: value.color
  }));
};

var Meteors = function Meteors(props) {
  var _useMeteors = (0, _useMeteors2.useMeteors)(props),
      meteors = _useMeteors.meteors;

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, meteors.map(function (meteor, index) {
    return /*#__PURE__*/_react.default.createElement(Meteor, {
      key: index,
      value: meteor,
      style: props.style
    });
  }));
};

var _default = Meteors;
exports.default = _default;
//# sourceMappingURL=index.js.map
