import { Mesh, Vector3 } from 'three';
import React from 'react';
import { Style } from '../interface';
export declare type Ring = {
    radius: number;
    startpoint: Vector3;
};
declare type UseRainRingProps = {
    style?: Style;
};
export declare const useRainRing: (rainring: React.MutableRefObject<Mesh | undefined>, props: UseRainRingProps) => void;
export declare type UseRainRingsProps = {
    count?: number;
};
export declare const useRainRings: ({ count }?: UseRainRingsProps) => {
    rings: Ring[];
};
export {};
