import { Vector3, Mesh } from 'three';
export declare type Snowflake = {
    startpoint: Vector3;
    radius: number;
};
export declare type UseSnowflakesProps = {
    count?: number;
};
export declare const useSnowflakes: ({ count }?: UseSnowflakesProps) => {
    snowflakes: Snowflake[];
};
declare type UseSnowflakeProps = {
    value: Snowflake;
};
export declare const useSnowflake: (flake: React.MutableRefObject<Mesh | undefined>, { value }: UseSnowflakeProps) => void;
export {};
