import { Group, Vector3 } from 'three';
declare type Sunshine = {
    vertices: Vector3[];
    angle: number;
};
export declare type Halo = {
    radius: number;
    color: string;
    startpoint: Vector3;
};
export declare type UseSunProps = {
    percentX?: number;
    count?: number;
};
export declare const useSun: ({ percentX, count }?: UseSunProps) => {
    sunshines: Sunshine[];
    halos: Halo[];
    startpoint: Vector3;
};
export declare const useSunshine: (sunshine: React.MutableRefObject<Group | undefined>) => void;
export {};
