import { Vector3, Mesh } from 'three';
export declare const useCloud: (cloud: React.MutableRefObject<Mesh | undefined>) => void;
export declare type UseCloudsProps = {
    count?: number;
    colors?: string[];
};
export declare type Cloud = {
    radius: number;
    startpoint: Vector3;
    opacity: number;
    color: string;
};
export declare const useClouds: ({ count, colors }?: UseCloudsProps) => {
    clouds: Cloud[];
    startpoint: Vector3;
};
