/**
 * convert deg to rad
 * @param {number} deg
 */
export var deg2rad = function deg2rad() {
  var deg = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
  return deg * Math.PI / 180;
};
/**
 * 角度正负数值
 * @param {number | undefined} angle
 */

export var angle2dir = function angle2dir(angle) {
  if (!angle || angle === 0) {
    return 0;
  }

  return angle / Math.abs(angle);
};
//# sourceMappingURL=angle.js.map
