function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import { getCoord } from './scene';
import { atPoint } from './random';

var _getCoord = getCoord(),
    _getCoord2 = _slicedToArray(_getCoord, 3),
    axisx = _getCoord2[0],
    axisy = _getCoord2[1],
    axisz = _getCoord2[2];

export var axisxy = {
  top: [0, axisy, 0],
  bottom: [0, -axisy, 0],
  left: [-axisx, 0, 0],
  right: [axisx, 0, 0]
};
export var fromAxisX = function fromAxisX() {
  return atPoint() * axisx;
};
export var fromAxisY = function fromAxisY() {
  return atPoint() * axisy;
};
export var fromAxisZ = function fromAxisZ() {
  return atPoint() * axisz;
};
export var fromAxis = function fromAxis(axis) {
  switch (axis) {
    case 'x':
      return fromAxisX();

    case 'y':
      return fromAxisY();

    case 'z':
      return fromAxisZ();

    default:
      return fromAxisX();
  }
};
export default {
  fromAxisX: fromAxisX,
  fromAxisY: fromAxisY,
  fromAxisZ: fromAxisZ,
  fromAxis: fromAxis,
  axisxy: axisxy
};
//# sourceMappingURL=point.js.map
