"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.usePartlyClouds = exports.usePartlyCloud = void 0;

var _useCloud = require("../cloudy/use-cloud");

var WHITE_CLOUD_COLORS = ['#fff'];
var usePartlyCloud = _useCloud.useCloud;
exports.usePartlyCloud = usePartlyCloud;

var usePartlyClouds = function usePartlyClouds() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
    count: 10,
    colors: WHITE_CLOUD_COLORS
  },
      _ref$count = _ref.count,
      count = _ref$count === void 0 ? 10 : _ref$count,
      _ref$colors = _ref.colors,
      colors = _ref$colors === void 0 ? WHITE_CLOUD_COLORS : _ref$colors;

  return (0, _useCloud.useClouds)({
    count: count,
    colors: colors
  });
};

exports.usePartlyClouds = usePartlyClouds;
//# sourceMappingURL=use-partly-cloud.js.map
