import { CSSProperties } from 'react';
import { Weather } from './interface';
export declare const dayTheme: Record<Weather, {
    style: CSSProperties;
    shadows?: any;
}>;
export declare const nightTheme: {
    rain: {
        style: {
            backgroundColor: string;
        };
        shadows?: any;
    };
    cloudy: {
        style: {
            backgroundColor: string;
        };
        shadows?: any;
    };
    'partly-cloudy': {
        style: {
            backgroundColor: string;
        };
        shadows?: any;
    };
    snow: {
        style: {
            backgroundColor: string;
        };
        shadows?: any;
    };
    fog: {
        style: CSSProperties;
        shadows?: any;
    };
    haze: {
        style: CSSProperties;
        shadows?: any;
    };
    meteors: {
        style: CSSProperties;
        shadows?: any;
    };
    sun: {
        style: CSSProperties;
        shadows?: any;
    };
    "star-rings": {
        style: CSSProperties;
        shadows?: any;
    };
};
