"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.angle2dir = exports.deg2rad = void 0;

/**
 * convert deg to rad
 * @param {number} deg
 */
var deg2rad = function deg2rad() {
  var deg = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
  return deg * Math.PI / 180;
};
/**
 * 角度正负数值
 * @param {number | undefined} angle
 */


exports.deg2rad = deg2rad;

var angle2dir = function angle2dir(angle) {
  if (!angle || angle === 0) {
    return 0;
  }

  return angle / Math.abs(angle);
};

exports.angle2dir = angle2dir;
//# sourceMappingURL=angle.js.map
