"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCoord = void 0;

/**
 * get Coordinate System
 */
var getCoord = function getCoord() {
  var w = window.innerWidth;
  var h = window.innerHeight;
  var unit = 1;

  if (w < h) {
    unit = w / 4;
    return [4, h / unit, 4];
  }

  unit = h / 4;
  return [w / unit, 4, 4];
};

exports.getCoord = getCoord;
//# sourceMappingURL=scene.js.map
